/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Cardiac Ultrasound Hemodynamic Measurements
 */
public enum EnumCM_CardiacUltrasoundHemodynamicMeasurements {

	//CID 12254 Cardiac Ultrasound Hemodynamic Measurements
	R_R_INTERVAL("R-R interval"),
	TAU("Tau"),
	INDICATOR_MEAN_TRANSIT_TIME("Indicator mean transit time"),
	CLOSURE_TO_OPENING_TIME("Closure to Opening Time"),
	ISOVOLUMIC_RELAXATION_TIME("Isovolumic Relaxation Time"),
	ISOVOLUMIC_CONTRACTION_TIME("Isovolumic Contraction Time"),
	EJECTION_TIME("Ejection Time"),
	PRE_EJECTION_PERIOD("Pre-Ejection Period"),
	FILLING_TIME("Filling Time"),
	BLOOD_PRESSURE("Blood Pressure"),
	HEART_RATE_CORRECTED_EJECTION_TIME("Heart Rate-Corrected Ejection Time"),
	HEART_RATE_CORRECTED_PRE_EJECTION_PERIOD("Heart Rate-Corrected Pre-Ejection Period"),
	A_WAVE_DURATION("A-Wave Duration"),
	PRE_EJECTION_PERIOD_EJECTION_TIME_RATIO("Pre-Ejection Period/Ejection Time Ratio"),
	ENVELOPE_DURATION("Envelope Duration"),
	TIME_TO_PEAK_BY_US("Time to Peak by US"),
	DP_DT_BY_US("dP/dt by US");
	
	private String value;
	
	EnumCM_CardiacUltrasoundHemodynamicMeasurements(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
